summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-05-05 13:35:48 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-05-05 15:52:21 +0200
commit4d15e451c95220f682e262d125ef3fba38ac44ed (patch)
treef4e4386b4c23039c4654f8eca20b3b94a80959ca /scripts
parente487421e991f8c9c61f61be4188ab42c8dba6706 (diff)
gnu sed no longer required, will be build as hosttool
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-tools.sh25
-rwxr-xr-xscripts/sed9
2 files changed, 11 insertions, 23 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 40486e1fe..930e8df0b 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -158,20 +158,6 @@ if [[ ! -s /usr/include/ncurses.h ]]; then
fi
fi
-if ! which sed >/dev/null 2>&1; then
- echo You must install GNU sed to continue.
- echo
- out=1
-fi
-
-if ! sed --version 2>/dev/null|grep GNU >/dev/null;then
- if ! which gsed >/dev/null 2>&1; then
- echo You must install GNU sed to continue.
- echo
- out=1
- fi
-fi
-
if ! which wget >/dev/null 2>&1; then
echo You must install wget to continue.
echo
@@ -270,6 +256,16 @@ if ! which gawk >/dev/null 2>&1; then
host_build_gawk=1
fi
+host_build_sed=0
+if ! which gsed >/dev/null 2>&1; then
+ if which sed >/dev/null 2>&1; then
+ if ! sed --version 2>/dev/null|grep GNU >/dev/null;then
+ echo "No GNU sed found, will build one."
+ host_build_sed=1
+ fi
+ fi
+fi
+
host_build_xz=0
if ! which xz >/dev/null 2>&1; then
echo "No xz found, will build one."
@@ -328,6 +324,7 @@ if [ $host_build_mksh -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_MKSH"
if [ $host_build_patch -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_PATCH" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_pkgconf -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_PKGCONF" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_findutils -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_FINDUTILS" >> $topdir/target/config/Config.in.prereq ;fi
+if [ $host_build_sed -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_SED" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_xz -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_XZ" >> $topdir/target/config/Config.in.prereq ;fi
# optional
if [ $host_build_ccache -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_CCACHE if ADK_HOST_NEED_CCACHE" >> $topdir/target/config/Config.in.prereq ;fi
diff --git a/scripts/sed b/scripts/sed
deleted file mode 100755
index 36cfdbfa7..000000000
--- a/scripts/sed
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/usr/bin/env bash
-# This file is part of the OpenADK project. OpenADK is copyrighted
-# material, please see the LICENCE file in the top-level directory.
-
-if [ -z "$(which gsed 2>/dev/null)" ];then
- /bin/sed "$@"
-else
- gsed "$@"
-fi